Bug 139426 - [RHEL4] Crash when entering users for access restrictions
[RHEL4] Crash when entering users for access restrictions
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pygtk2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 17:16 EST by Brad Smith
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 11:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2004-11-15 17:16:28 EST
Description of problem:
system-config-samba crashes when trying to add users in the "Access" tab.

Version-Release number of selected component (if applicable):
1.2.21

How reproducible:
Always

Steps to Reproduce:
1. Click the "Add" button 
2. Click on the "Access" tab
3. Click on the large text box under "Allow access only to specific users"
4. Type the name of a user. Strangely, a small textbox will appear
below the large textbox. 
5. Press enter
  
Actual results:
Crash. Nothing printed to stdout.

Expected results:
Add a user to the Valid Users list for the share, I assume
Comment 1 Nils Philippsen 2004-11-18 12:45:44 EST
The "large text box" isn't one, it shows you the users known to Samba
(Preferences/Samba Users) where you can select for which users this
share shall be made accessible. When you click into it and begin
typing, it is supposed to find entries maatching what you type or
similar (like in the new GTK file selection), thus the small text box
where you type into.

If the app crashes then without any python traceback, I suspect a bug
in either pygtk2 or gtk2 itself -- as a data point, it doesn't happen
here (FC3 + updates) where I have:

system-config-samba-1.2.21-1
pygtk2-2.4.0-1
gtk2-2.4.13-9
Comment 3 RHEL Product and Program Management 2007-10-02 11:31:52 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.